# Jeu Ski :
# Il s'agit d'une simulation de ski, un skieur descend une pente, nous sommes face à lui.
# 

# imports :
import pygame
import random
import math

# Initialisation de la fenêtre
pygame.init() # initialisation du module "pygame"
fenetre = pygame.display.set_mode( (500,800) ) # Création d'une fenêtre graphique de taille 500x800 pixels
pygame.display.set_caption("Skiman") # Définit le titre de la fenêtre

# Chargement des images:
# On définit et affecte les variables qui contiendront les images du skieur ou du décor.
imageSkieur = pygame.image.load("Dude Down.png")
imageSkieurD = pygame.image.load("Dude Right.png")
imageSkieurG = pygame.image.load("Dude Left.png")
imageSkieurTombe = pygame.image.load("Dude Fall.png")
imageDrapeau = pygame.image.load("Red Flag.png")
imageArbre = pygame.image.load("Tree.png")
# initialisation des variables
# la position initiale du skieur
positionSkieur = (250,200)

# le score
score = 0

def dessiner():
    global imageSkieur, fenetre, positionSkieur
    # On remplit complètement notre fenêtre avec la couleur blanche (comme la neige propre)
    # Ceci permet de 'nettoyer' notre fenêtre avant de la dessiner
    fenetre.fill((255,255,255))
    # On dessine l'image du skieur à sa position
    fenetre.blit(imageSkieur, positionSkieur)  # On dessine l'image du vaisseau à sa position
    pygame.display.flip() # Rafraichissement complet de la fenêtre avec les dernières opérations de dessin

# Fonction en charge de gérer les évènements clavier (ou souris)
# Cette fonction sera appelée depuis notre boucle infinie
def gererClavierEtSouris():
    global continuer, positionSkieur
    for event in pygame.event.get():
        if event.type == pygame.QUIT: # Permet de gérer un clic sur le bouton de fermeture de la fenêtre
            continuer = 0
    # Gestion du clavier: Quelles touches sont pressées ?
    touchesPressees = pygame.key.get_pressed()
    if touchesPressees[pygame.K_RIGHT] == True:
        positionSkieur=(positionSkieur[0]+5,positionSkieur[1])
    if touchesPressees[pygame.K_LEFT] == True:
        print("Le skieur doit aller vers la gauche")

# On crée une nouvelle horloge qui nous permettra de fixer la vitesse de rafraichissement de notre fenêtre
clock = pygame.time.Clock()

# boucle principale
continuer = 1
while continuer==1:
    # pygame permet de fixer la vitesse de notre boucle:
    # ici on déclare 50 tours par secondes soit une animation à 50 images par secondes
    clock.tick(50)
    dessiner()
    gererClavierEtSouris()
pygame.quit()
